Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.ejb
Interface WLQueryProperties

public interface WLQueryProperties
extends QueryProperties

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static java.lang.String` | `GROUP_NAME`
`static java.lang.String` | `ISOLATION_LEVEL`
`static int` | `NONE`
`static int` | `READ_COMMITTED`
`static int` | `READ_COMMITTED_FOR_UPDATE`
`static int` | `READ_UNCOMMITTED`
`static java.lang.String` | `RELATIONSHIP_CACHING_NAME`
`static int` | `REPEATABLE_READ`
`static int` | `SERIALIZABLE`
`static java.lang.String` | `SQL_SELECT_DISTINCT`

Fields inherited from class weblogic.ejb.QueryProperties
`TX_MANDATORY, TX_REQUIRED, TX_REQUIRES_NEW`

Method Summary
`java.lang.String` | `getFieldGroupName()`
`int` | `getIsolationLevel()`
`java.lang.String` | `getRelationshipCachingName()`
`boolean` | `getSQLSelectDistinct()`
`void` | `setFieldGroupName(java.lang.String value)` Used to specify which CMP field group will be loaded upon execution of the find method.
`void` | `setIsolationLevel(int value)` Used to set the isolation level that should be used for the dynamic query.
`void` | `setRelationshipCachingName(java.lang.String cachingName)`
`void` | `setSQLSelectDistinct(boolean value)` Used to control whether the generated SQL 'SELECT' will contain a 'DISTINCT' qualifier.

Methods inherited from interface weblogic.ejb.QueryProperties
`getIncludeUpdates, getMaxElements, getTransaction, isResultTypeRemote, setIncludeUpdates, setMaxElements, setResultTypeRemote, setTransaction`

Field Detail

### GROUP_NAME

    public static final java.lang.String GROUP_NAME

### SQL_SELECT_DISTINCT

    public static final java.lang.String SQL_SELECT_DISTINCT

### ISOLATION_LEVEL

    public static final java.lang.String ISOLATION_LEVEL

### RELATIONSHIP_CACHING_NAME

    public static final java.lang.String RELATIONSHIP_CACHING_NAME

### SERIALIZABLE

    public static final int SERIALIZABLE

### REPEATABLE_READ

    public static final int REPEATABLE_READ

### READ_COMMITTED

    public static final int READ_COMMITTED

### NONE

    public static final int NONE

### READ_UNCOMMITTED

    public static final int READ_UNCOMMITTED

### READ_COMMITTED_FOR_UPDATE

    public static final int READ_COMMITTED_FOR_UPDATE

Method Detail

### setFieldGroupName

    public void setFieldGroupName(java.lang.String value)
                           throws javax.ejb.FinderException

  Used to specify which CMP field group will be loaded upon execution of the find method. Default: The default field group (all fields)

### getFieldGroupName

    public java.lang.String getFieldGroupName()
                                       throws javax.ejb.FinderException

### setSQLSelectDistinct

    public void setSQLSelectDistinct(boolean value)
                              throws javax.ejb.FinderException

  Used to control whether the generated SQL 'SELECT' will contain a 'DISTINCT' qualifier. Use of the DISTINCT qualifier will cause the RDBMS to return unique rows. Default: False

### getSQLSelectDistinct

    public boolean getSQLSelectDistinct()
                                 throws javax.ejb.FinderException

### setIsolationLevel

    public void setIsolationLevel(int value)
                           throws javax.ejb.FinderException

  Used to set the isolation level that should be used for the dynamic query. Default: database default

### getIsolationLevel

    public int getIsolationLevel()
                          throws javax.ejb.FinderException

### setRelationshipCachingName

    public void setRelationshipCachingName(java.lang.String cachingName)
                                    throws javax.ejb.FinderException

### getRelationshipCachingName

    public java.lang.String getRelationshipCachingName()
                                                throws javax.ejb.FinderException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD